import * as pulumi from "@pulumi/pulumi";
import * as aws    from "@pulumi/aws";

import * as backend  from "./backend";
import * as frontend from "./frontend";

import "./deployment";

export const feBucket   = frontend.bucket.bucket;
export const feDomain   = frontend.cloudfront.domainName;
export const beBucket   = backend.bucket.bucket;
export const beLambda   = backend.lambda.name;
export const beEndpoint = backend.api.apiEndpoint;

export const feUserPoolUrl = frontend.userPoolUrl;
export const beUserPoolCli = backend.userPoolClient.id;
